/*
 * board.h - msp430f5969 launchpad configuration
 *
 * Copyright (C) 2014 Texas Instruments Incorporated - http://www.ti.com/
 *
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 ******************************************************************************/
#ifndef __BOARD_HEADER__
#define __BOARD_HEADER__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <plib.h>
#include <stdint.h>

/****Defines*******************************************************************/
#define LED0 3
#define LED1 1
#define LED2 2
#define sl_DeviceHibernate() mPORTGClearBits(BIT_12)
#define sl_DeviceAwake()     mPORTGSetBits(BIT_12)

/****Global Variables**********************************************************/
typedef void (*P_EVENT_HANDLER)(void* pValue);

/****Proyotypes****************************************************************/
INT16 sl_IfRegIntHdlr(P_EVENT_HANDLER InterruptHdl , void* pValue);
void CC3100_InterruptEnable(void);
void CC3100_InterruptDisable(void);

void initClk(void);
UINT32 TickGet(UINT8 mode);
void Delay(UINT32 milliS);

//void initLEDs(void);
//void turnLedOn(UINT8 ledNum);
//void turnLedOff(UINT8 ledNum);
//void toggleLed(UINT8 ledNum);
UINT8 GetLEDStatus(void);

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* __BOARD_HEADER__ */
