/******************************************************************************/
/* Files to Include                                                           */
/******************************************************************************/


/******************************************************************************/
/* System Level Functions                                                     */
/*                                                                            */
/* Custom oscillator configuration funtions, reset source evaluation          */
/* functions, and other non-peripheral microcontroller initialization         */
/* functions get placed in system.c                                           */
/*                                                                            */
/******************************************************************************/

// *****************************************************************************
// *****************************************************************************
// Section: Configuration bits
// *****************************************************************************
// *****************************************************************************

// DEVCFG0
#pragma config DEBUG = OFF              // Background Debugger Enable (Debugger is disabled)
#pragma config ICESEL = ICS_PGx2        // ICE/ICD Comm Channel Select (ICE EMUC2/EMUD2 pins shared with PGC2/PGD2)
#pragma config PWP = OFF                // Program Flash Write Protect (Disable)
#pragma config BWP = OFF                // Boot Flash Write Protect bit (Protection Disabled)
#pragma config CP = OFF                 // Code Protect (Protection Disabled)

// DEVCFG1
#pragma config FNOSC = PRIPLL		// Oscillator selection
#pragma config FSOSCEN = ON             // Secondary Oscillator Enable (Enabled)
#pragma config IESO = OFF		// Internal/external clock switchover
#pragma config POSCMOD = HS		// Primary oscillator mode
#pragma config OSCIOFNC = OFF           // CLKO Output Signal Active on the OSCO Pin (Disabled)
#pragma config FPBDIV = DIV_2		// Peripheral bus clock divider. Bus = 40MHz
#pragma config FCKSM = CSDCMD		// Clock switching (CSx)/Clock monitor (CMx)
#pragma config WDTPS = PS1024		// Watchdog timer postscaler
#pragma config FWDTEN = OFF		// Watchdog timer enable

// DEVCFG2
#pragma config FPLLIDIV = DIV_2		// PLL input divider. 8Mhz > 4MHz
#pragma config FPLLMUL = MUL_20		// PLL multiplier. 4MHz * 20 * 1 = 80MHz
#pragma config UPLLIDIV = DIV_12        // USB PLL Input Divider (12x Divider)
#pragma config UPLLEN = OFF             // USB PLL Enable (Disabled and Bypassed)
#pragma config FPLLODIV = DIV_1         // PLL output divider

// DEVCFG3
//#pragma config FSRSSEL = PRIORITY_7     // SRS Select (SRS Priority 7)
#pragma config FMIIEN = OFF             // Ethernet RMII/MII Enable (MII Enabled)
#pragma config FETHIO = OFF             // Ethernet I/O Pin Select (Default Ethernet I/O)
#pragma config FCANIO = OFF             // CAN I/O Pin Select (Default CAN I/O)
#pragma config FUSBIDIO = OFF           // USB USID Selection (Controlled by the USB Module)
#pragma config FVBUSONIO = OFF          // USB VBUS ON Selection (Controlled by USB Module)

/* <Initialize variables in system.h and put code for system algorithms here.>*/



